You are not logged in.

#26 2022-03-11 23:16:48

prayner96
Member
Registered: 2022-03-06
Posts: 45

Re: [SOLVED] /usr/lib/libc.so.6: version `GLIBC_2.34’ not found

Thanks Scimmia and WorMzy for the feedback, I only gave dd mode two tries as a sanity check. I'll give it another go on Sunday. Let's hope I don't need to visit my laptops documentation. Have a good weekend folks.

Offline

#27 2022-03-12 13:02:25

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 10,640

Re: [SOLVED] /usr/lib/libc.so.6: version `GLIBC_2.34’ not found

Often you need to use a hotkey at boot to select a different drive to boot from.

Acer laptops use F12 for that.


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#28 2022-03-14 21:22:28

prayner96
Member
Registered: 2022-03-06
Posts: 45

Re: [SOLVED] /usr/lib/libc.so.6: version `GLIBC_2.34’ not found

F12 worked. Sanity restored for now. Thanks all. Let's hope this goes well.

Offline

#29 2022-04-21 21:26:51

prayner96
Member
Registered: 2022-03-06
Posts: 45

Re: [SOLVED] /usr/lib/libc.so.6: version `GLIBC_2.34’ not found

It worked. Thank you all, this thread was hugely helpful.

I managed to figure out why my laptop wasn't dual booting before (F12 on start up) and upgrade most packages.

Offline

#30 2022-12-14 12:04:14

andre.laszlo
Member
From: Göteborg, Sweden
Registered: 2010-02-01
Posts: 5

Re: [SOLVED] /usr/lib/libc.so.6: version `GLIBC_2.34’ not found

Sorry for bumping this old thread, but I ran something like `pacman -Sy; pacman -S expat` and broke a huge chunk of my system. It's a server, so booting with a live USB or something would be really annoying.

I knew I only messed up this single package, so I checked the pacman log to see which version to downgrade to:

# grep "upgraded expat" /var/log/pacman.log | tail -n1
[2022-12-14T12:18:49+0100] [ALPM] upgraded expat (2.4.8-1 -> 2.5.0-1)

Then, I created a temporary directory and extracted the old package into it (since `pacman -U` was also broken...)

# mkdir /tmp/expat
# cd /tmp/expat
# cp /var/cache/pacman/pkg/expat-2.4.8-1-x86_64.pkg.tar.zst .
# tar --use-compress-program=unzstd -xvf ./expat-2.4.8-1-x86_64.pkg.tar.zst

I copied the /tmp/expat/usr directory contents into /usr:

# cp --backup=numbered -vRT ./usr /usr

Finally, I crossed my fingers and ran `pacman -Suy`, which worked. Such a relief. smile It's the yearly reminder that `-Sy` is not a good habit.

Offline

#31 2022-12-14 12:20:23

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 4,252

Re: [SOLVED] /usr/lib/libc.so.6: version `GLIBC_2.34’ not found

Closing this old solved thread.


How to post. A sincere effort to use modest and proper language and grammar is a sign of respect toward the community.

Offline

Board footer

Powered by FluxBB